summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--php-pgsql/README5
-rw-r--r--php-pgsql/doinst.sh16
-rw-r--r--php-pgsql/pdo_pgsql.ini2
-rw-r--r--php-pgsql/pgsql.ini21
-rwxr-xr-xphp-pgsql/php-pgsql.SlackBuild138
-rw-r--r--php-pgsql/php-pgsql.info10
-rw-r--r--php-pgsql/slack-desc19
7 files changed, 211 insertions, 0 deletions
diff --git a/php-pgsql/README b/php-pgsql/README
new file mode 100644
index 0000000..f33e29e
--- /dev/null
+++ b/php-pgsql/README
@@ -0,0 +1,5 @@
+This extension enables PHP to connect to and use PostgreSQL databases.
+
+To enable the pgsql extension for php, go to /etc/php.d/pgsql.ini
+and uncomment the line:
+ ; extension=pgsql.so
diff --git a/php-pgsql/doinst.sh b/php-pgsql/doinst.sh
new file mode 100644
index 0000000..b4fdb0a
--- /dev/null
+++ b/php-pgsql/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/php.d/pgsql.ini.new
+config etc/php.d/pdo_pgsql.ini.new
+
diff --git a/php-pgsql/pdo_pgsql.ini b/php-pgsql/pdo_pgsql.ini
new file mode 100644
index 0000000..f56e175
--- /dev/null
+++ b/php-pgsql/pdo_pgsql.ini
@@ -0,0 +1,2 @@
+; Enable pdo_pgsql extension module
+; extension=pdo_pgsql.so
diff --git a/php-pgsql/pgsql.ini b/php-pgsql/pgsql.ini
new file mode 100644
index 0000000..017cd7f
--- /dev/null
+++ b/php-pgsql/pgsql.ini
@@ -0,0 +1,21 @@
+; Enable pgsql extension module
+; extension=pgsql.so
+
+; Whether to allow persistent Postgres connections.
+; pgsql.allow_persistent="1"
+
+; The maximum number of persistent Postgres connections per process.
+; pgsql.max_persistent="-1"
+
+; The maximum number of Postgres connections per process, including persistent connections.
+; pgsql.max_links="-1"
+
+; Detect broken persistent links with pg_pconnect(). Needs a little overhead.
+; pgsql.auto_reset_persistent="0"
+
+; Whether or not to ignore PostgreSQL backend notices.
+; pgsql.ignore_notice="0"
+
+; Whether or not to log PostgreSQL backends notice messages. The PHP directive
+; pgsql.ignore_notice must be off in order to log notice messages.
+; pgsql.log_notice="0"
diff --git a/php-pgsql/php-pgsql.SlackBuild b/php-pgsql/php-pgsql.SlackBuild
new file mode 100755
index 0000000..9f5e79b
--- /dev/null
+++ b/php-pgsql/php-pgsql.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/sh
+
+# Slackware build script for php-pgsql
+
+# Copyright 2012-2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM=php
+PRGNAM=php-pgsql
+VERSION=${VERSION:-5.6.30}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+PHP_CONFIG=/usr/bin/php-config
+EXTENSION_DIR="$PKG/$($PHP_CONFIG --extension-dir)"
+
+cd ext/pgsql/
+
+/usr/bin/phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+mkdir -p $EXTENSION_DIR $PKG/etc/php.d
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+cd -
+
+cd ext/pdo_pgsql
+
+/usr/bin/phpize
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-php-config=$PHP_CONFIG \
+ --build=$ARCH-slackware-linux
+
+make
+
+make install DESTDIR=$PKG EXTENSION_DIR=$EXTENSION_DIR
+
+cd -
+
+install -m 644 $CWD/pgsql.ini $PKG/etc/php.d/pgsql.ini.new
+install -m 644 $CWD/pdo_pgsql.ini $PKG/etc/php.d/pdo_pgsql.ini.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{pgsql,pdo_pgsql}
+cp ext/pgsql/CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/pgsql/
+cp ext/pdo_pgsql/CREDITS $PKG/usr/doc/$PRGNAM-$VERSION/pdo_pgsql/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/php-pgsql/php-pgsql.info b/php-pgsql/php-pgsql.info
new file mode 100644
index 0000000..b01ec74
--- /dev/null
+++ b/php-pgsql/php-pgsql.info
@@ -0,0 +1,10 @@
+PRGNAM="php-pgsql"
+VERSION="5.6.30"
+HOMEPAGE="http://php.net/manual/en/book.pgsql.php"
+DOWNLOAD="https://secure.php.net/distributions/php-5.6.30.tar.xz"
+MD5SUM="68753955a8964ae49064c6424f81eb3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql"
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
diff --git a/php-pgsql/slack-desc b/php-pgsql/slack-desc
new file mode 100644
index 0000000..a980199
--- /dev/null
+++ b/php-pgsql/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+php-pgsql: php-pgsql (PostgreSQL bindings for PHP)
+php-pgsql:
+php-pgsql: This extension enables PHP to connect to and use PostgreSQL
+php-pgsql: databases.
+php-pgsql:
+php-pgsql: Homepage: http://php.net/manual/en/book.pgsql.php
+php-pgsql:
+php-pgsql:
+php-pgsql:
+php-pgsql:
+php-pgsql: